# Nest Js Simple User API with Cassandra

This is a simple nest js user api with 2 endpoints - get all users and create a user, using cassandra as the underlying database.

## Development

- Copy `.env.example` to `.env`
- Make sure cassandra is running locally/via docker and replace the values in the env file accordingly
- `npm i`
- `npm run start:dev`

## Production (with AWS Keyspaces)

- Copy `.env.example` to `.env`
- Ensure `ENVIRONMENT = "production"` if using AWS Keyspaces and replace the other values with AWS endpoints
- `npm i`
- `npm run build`
- `npm run start:prod`
