import { Injectable } from '@nestjs/common';
import { UserRepository } from './user.repository';
import { User } from './user.model';

@Injectable()
export class UserService {
  
  constructor(private userRepository: UserRepository) {}

  async get() {
    return this.userRepository.get();
  }

  async create(user: User) {
    return this.userRepository.create(user);
  }
}
